<?
$b=0;
if ($player["items"]["item.misc.money"]) {
	$money=split("\|",$player["items"]["item.misc.money"]);
	$money[1]-=$dialog[2];
	if ($money[1]>=0) {
		$b=1; 
	}
}
if (!$b) msg("<p>У вас недостаточно денег (надо ".$dialog[2]." монет)");
if (isset($game['loc'][$game[players][$login]][$login]['gild'])) {
	$dolj=split("\|",$game['loc'][$game[players][$login]][$login]['gild']);
	$gildname =  $dolj[1];
	$gilds = implode("",file("gilds.dat"));
	$gilds = unserialize($gilds);
	if ($dolj[0] != "Gild Master" || $gilds[$dolj[1]][count] == 1){
		unset($gilds[$gildname]["player"][$login]);
		unset($player['gild']);
		$gilds[$gildname]["count"] -= 1;
		$file1 = fopen ("gilds.dat", "w+");
		fputs($file1,serialize($gilds));
		fclose ($file1);
		unset($gilds);
		$money[1]-=$dialog[2];
		if ($money[1]==0) unset($player["items"]["item.misc.money"]); 
		else $player["items"]["item.misc.money"]=implode("|",$money);
		if ($dolj[0] == "Gild Master"){
			unset($gilds[$dolj[1]]);
			$file1 = fopen ("gilds.dat", "w+");
			fputs($file1,serialize($gilds));
			fclose ($file1);
			unset($gilds);	
		}
    	msg("Вы покинули гильдию.");
	}
	msg("Вы не можете покинуть гильдию не передав другому полномочия.");
}
msg("Вы и так  не состоите не в одной гильдии.");

?>